<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Ejercicio 18</title>
	<style type="text/css">
	main{
		display: flex;
		flex-direction: column;
		justify-content: center;
		font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif;
		font-weight: bold;
		font-size: small;
		margin-top: 80px;
		margin-left: 30px;
	}

	input{
		width: 240px;
		height: 60px;
		background-color: silver;
		border-radius: 5px;
		border: 0;
		padding-left: 16px;
		margin: 0px 10px;
	}

	button{
		width: 140px;
		height: 50px;
		line-height: 50px;
		background-color: olive;
		border-radius: 5px;
		border: 0;
		text-align: center;
		margin: 15px 15px 15px 15px;
		color: white;
	}

	</style>
	<script type="text/javascript">
	//crear una función que le pasas un string como argumento y te devuelve un array con las vocales del string	

		window.addEventListener("load", function(e){

			document.querySelector("#enviar").addEventListener("click",function(e){

				let frase = document.querySelector("#string").value;
				let vocales = [];

				for (let i=0; i<frase.length; i++) {

					if (frase[i] == "a" ||
						frase[i] == "á" || 
						frase[i] == "A" || 
						frase[i] == "e" || 
						frase[i] == "é" ||
						frase[i] == "E" || 
						frase[i] == "i" || 
						frase[i] == "í" ||
						frase[i] == "I" || 
						frase[i] == "o" || 
						frase[i] == "ó" ||
						frase[i] == "O" || 
						frase[i] == "u" || 
						frase[i] == "ú" ||
						frase[i]=="U"){
					
						vocales.push(frase[i]);
					}
				}
	
				document.querySelector("#resultado").value = vocales;

			});
			
		});
	

	</script>
</head>
<body>
	<main>
		<input id="string" type="text" name="string" placeholder="Introduce una frase">
		<button id="enviar" type="submit">Enviar</button>
		<input id="resultado" type="text" name="resultado" placeholder="Número total de vocales">
	</main>
</body>
</html>